import { jsx as _jsx } from "react/jsx-runtime";
import { screen, cleanup, render } from "@testing-library/react";
import "@testing-library/jest-dom/extend-expect";
import MapLI from "./MapLI";
describe("MapLI", () => {
    let element;
    const menuList = ["test", _jsx("div", { children: " Hello world" }, void 0)];
    const testId = "MapLi";
    beforeEach(() => {
        cleanup();
        render(_jsx("ul", Object.assign({ "data-testid": testId }, { children: _jsx(MapLI, { menuList: menuList, liClassName: "context-li" }, void 0) }), void 0));
        element = screen.getByTestId(testId);
    });
    it("should be in the documentation", () => {
        expect(element).toBeInTheDocument();
    });
    it("should have 2 children", () => {
        var _a, _b;
        expect(element.children.length).toBe(2);
        expect((_a = element.querySelector("div")) === null || _a === void 0 ? void 0 : _a.innerHTML).toMatch("Hello world");
        expect((_b = element.querySelector("li")) === null || _b === void 0 ? void 0 : _b.innerHTML).toMatch("test");
    });
    it("should have the given className for each list item", () => {
        var _a;
        expect((_a = element.lastElementChild) === null || _a === void 0 ? void 0 : _a.className).toMatch("context-li");
    });
});
//# sourceMappingURL=MapLI.test.js.map